# Muud amaroKi võimalused

## Kiirklahvid

&amarok; kasutab kiirklahve nagu iga muu korralik rakendus. Allpool on ära toodud kiirklahvid ja nendega käivitatavad toimingud. Globaalseid kiirklahve saab seadistada, kui klõpsata hiire parema nupuga mängija aknas ja valida Globaalsete kiirklahvide seadistamine... &amarok;i enda kiirklahve saab seadistada, kui klõpsata hiire parema nupuga mängija aknas ja valida Kiirklahvide seadistamine...

Oma multimeediaklahvide kasutamiseks &amarok;i kiirklahvidena tuleb määrata klaviatuur &amarok;i juhtimiskeskuses.

Globaalsed kiirklahvid:

Klahvikombinatsioon | Toiming
--- | ---
WinX | Mängi
WinC | Paus
WinV | Stopp
WinB | Järgmine pala
WinZ | Eelmine pala
WinKP_Add | Heli juurde
WinKP_Subtract | Heli maha
WinA | Lisa andmekandja
WinP | Lugude nimekirja lülitamine
WinO | OSD näitamine

&amarok;i kiirklahvid:

Klahvikombinatsioon | Toiming
--- | ---
CtrlC | Kopeeri
CtrlKP_Enter | Mine praegusele
CtrlQ | Välju
CtrlShiftZ | Tee uuesti
CtrlS | Salvesta lugude nimekiri
CtrlA | Vali kõik
CtrlH | Segatud
CtrlZ | Võta tagasi

Lugude nimekirja sirvija kiirklahvid:

Klahvikombinatsioon | Toiming
--- | ---
Tühikuklahv | Lugude nimekirja laadimine
F2 | Lugude nimekirja ümbernimetamine
Backspace | Lugude nimekirja eemaldamine

## DCOP-liides

amaroKi DCOP-liides võimaldab imelihtsalt juhtida amaroKi tööd enda loodud skriptidega.

amaroKi DCOP-liides pakub mitmeid üldisi funktsioone, mida kasutavad ka muud KDE rakendused. Käesolevas osas kirjeldame mängija DCOP-funktsioone. Näiteks DCOP-funktsioon pause näeb välja selline:

&percnt;dcop amarok player pause

DCOP-funktsioon | Toiming
--- | ---
album | Funktsioon album näitab parajasti mängitava pala albumit.
artist | Funktsioon artist näitab parajasti mängitava pala esitajat.
bitrate | Funktsioon bitrate näitab parajasti mängitava pala bitikiirust.
comment | Funktsioon comment näitab parajasti mängitava pala kommentaari.
coverImage | Funktsioon coverImage näitab parajasti mängitava pala kaanepilti.
currentTime | Funktsioon currentTime näitab parajasti mängitava pala positsiooni (mm:ss).
encodedURL | Funktsioon encodedURL tagastab parajasti mängitava pala tühikutega kodeeritud URL-i.
genre | Funktsioon genre näitab parajasti mängitava pala žanri.
nowPlaying | Funktsioon nowPlaying näitab parajasti mängitava pala artisti ja tiitlit. Kui üks kahest id3 sildist on tühi, näidatakse ainult esitajat või tiitlit (ilma "-").
title | Funktsioon title näitab parajasti mängitava pala pealkirja.
totalTime | Funktsioon totalTime näitab parajasti mängitava pala kogukestust (mm:ss).
track | Funktsioon track näitab parajasti mängitava pala rajanumbrit.
year | Funktsioon year näitab parajasti mängitava pala aastat.
isPlaying | Funktsioon isPlaying tagastab tõeväärtuse, mis näitab, kas mängija esitab parajasti pala või mitte.
randomModeStatus | Funktsioon randomModeStatus näitab juhusliku režiimi olekut (tõene või väär).
repeatPlaylistStatus | Funktsioon repeatPlaylistStatus näitab lugude nimekirja kordamise olekut (tõene või väär).
repeatTrackStatus | Funktsioon repeatTrackStatus tagastab pala kordamise oleku (tõene või väär).
getVolume | Funktsioon getVolume näitab helitugevuse väärtust vahemikus 0-100.
sampleRate | Funktsioon sampleRate näitab parajasti mängitava pala diskreetimissagedust.
score | Funktsioon score näitab parajasti mängitava pala hinnangut.
status | Funktsioon status tagastab mootori oleku väärtuse: 2 tähendab mängimist, 1 pausi ja 0 jõudeolekut.
trackCurrentTime | Funktsioon trackCurrentTime tagastab parajasti mängitava pala esitamisele seni kulunud aja sekundites.
trackTotalTime | Funktsioon trackTotalTime tagastab parajasti mängitava pala kogukestuse sekundites.
addMedia | Funktsiooniga addMedia saab üksikfaile lugude nimekirja lisada.
addMediaList | Funktsiooniga addMediaList saab mitu faili korraga lugude nimekirja lisada.
clearPlaylist | Funktsiooniga clearPlaylist saab puhastada kogu lugude nimekirja.
configEqualizer | Funktsioon configEqualizer toob esiplaanile ekvalaiseri seadistamise akna.
enableOSD | Funktsioon enableOSD võimaldab tõeväärtust andes lülitada OSD sisse või välja.
enableRandomMode | Funktsioon enableRandomMode võimaldab tõeväärtust andes lülitada sisse või välja juhusliku režiimi (0 - väljas, 1 - sees).
mute | Funktsioon mute näitab parajasti mängitava pala tummaks muuta või taas kuuldavaks teha.
next | Funktsioon next käivitab mängijas järgmise pala.
pause | Funktsioon pause peatab parajasti mängitava pala esitamise.
play | Funktsioon play käivitab mängija kohast, kus see peatati.
playMedia | Funktsioon playMedia käivitab KURL-iga määratud pala mängimise.
playPause | Funktsioon playPause käivitab mängija, kui see on parajasti peatatud. Samas peatab see mängija, kui see parajasti pala esitab.
prev | Funktsioon prev käivitab mängijas eelmise pala.
saveCurrentPlaylist | Funktsioon saveCurrentPlaylist salvestab aktiivse lugude nimekirja failina ~/.kde/share/apps/amarok/current.xml.
scanCollection | Funktsioon scanCollection uurib läbi sinu muusikakogu.
seek | Funktsiooniga seek saab liikuda palas sekunditega määratud asukohale.
seekRelative | Funktsiooniga seekRelative saab liikuda palas asukohale, mis on määratud sekundites määratud erinevusega praegusest asukohast.
setEqualizerEnabled | Funktsioon setEqualizerEnabled võimaldab tõeväärtust andes lülitada ekvalaiser sisse või välja.
setVolume | Funktsioon setVolume muudab helitugevust vahemikus 0-100.
showOSD | Funktsioon coverImage näitab parajasti mängitava pala infoga ekraaniesitust (OSD).
stop | Funktsioon stop peatab mängija, kui see parajasti lugu esitab.
togglePlaylist | Funktsioon togglePlaylist lülitab lugude nimekirja akna näitamise sisse või välja.
volumeDown | Funktsioon volumeDown kahandab helitugevust ühe sammu võrra.
volumeUp | Funktsioon volumeUp suurendab helitugevust ühe sammu võrra.

## Käsurea võtmed

amaroK toetab standardseid Qt ja KDE käsurea võtmeid, kuid pakub ka mõningaid spetsiifilisi võtmeid.

Qt ja KDE võtmed:

Võti | Toiming
--- | ---
--help | Näitab abiteadet võtmete kohta.
--help-qt | Näitab Qt spetsiifilisi võtmeid.
--help-kde | Näitab KDE spetsiifilisi võtmeid.
--help-all | Näitab kõiki võtmeid.
--author | Näitab infot autori kohta.
-v, --version | Näitab versiooni.
--license | Näitab litsentsi.

amaroKi võtmed:

&amarok;i võtmed on mõeldud kasutamiseks &amarok;i töötamise ajal.

Võti | Toiming
--- | ---
-r, --previous | Hüppab lugude nimekirjas eelmisele palale.
-p, --play | Alustab lugude nimekirja mängimist.
-s, --stop | Katkestab taasesituse.
--pause | Peatab taasesituse.
-f, --next | Hüppab lugude nimekirjas järgmisele palale.
-a, --append | Lisab failid/URL-id lugude nimekirja.
-e, --enqueue | Vaata append (kasutusel tagasiühilduvuse nimel).
--queue | Seab failid/URL-id järjekorda parajasti mängitava pala järele.
-m, --toggle-playlist-window | Lugude nimekirja akna lülitamine.
--wizard | Käivitab esimese korra nõustaja.
--engine "nimi" | Käivitab &amarok;i mootoriga "nimi".